/* 热门排行 */
.HotRanking {
  width: 400px;
  margin-top: 20px;
  padding: 10px;
  border-radius: 8px;
  background: linear-gradient(-45deg, #e0ecf8, #f3f7fb);
  box-shadow: -3px -3px 10px rgba(255, 255, 255, .58), 3px 3px 10px rgba(166, 182, 195, .72);
}

.HotRankingHeader {
  display: flex;
  align-items: center;
  font-size: 22px;
  font-weight: bold;
}

.HotRankingHeader img {
  width: 24px;
  height: 24px;
  margin-right: 8px;
}

.HotRankingItem {
  display: flex;
  align-items: center;
  margin-top: 20px;
}

.HotRankingItem>div:first-child {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 18px;
}

.HotRankingTop img {
  width: 18px;
  height: 18px;
}

.HotRankingNum {
  color: #86909C;
  text-align: center;
}

.HotRankingRed {
  background: linear-gradient(180deg, #CC151E, #FF3637);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: bold;
}

.HotRankingOrange {
  background: linear-gradient(180deg, #FFC226, #FF3637);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: bold;
}

.HotRankingTitle {
  margin-left: 10px;
  overflow: hidden;
}

.HotRankingTitle h2 {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  font-size: 16px;
  font-weight: normal;
  color: #000;
}

.HotRankingTitle:hover h2 {
  color: #3848a0;
  font-weight: bold;
}

/* 热门视频 */
.HotVideo {
  width: 400px;
  margin-top: 20px;
  padding: 10px;
  border-radius: 8px;
  background: linear-gradient(-45deg, #e0ecf8, #f3f7fb);
  box-shadow: -3px -3px 10px rgba(255, 255, 255, .58), 3px 3px 10px rgba(166, 182, 195, .72);
}

.HotVideoHeader {
  display: flex;
  align-items: center;
  font-size: 22px;
  font-weight: bold;
}

.HotVideoHeader img {
  width: 24px;
  height: 24px;
  margin-right: 8px;
}

.HotVideoItem {
  position: relative;
  margin-top: 20px;
  display: flex;
}

.HotVideoItem:first-child {
  display: block;
}

.HotVideoRanking {
  position: absolute;
  top: 0;
  left: 0;
  width: 22px;
  height: 22px;
  font-size: 16px;
  line-height: 22px;
  background: #C9CDD4;
  color: #fff;
  text-align: center;
  border-radius: 2px;
}

.HotVideoRankingRed {
  background: #FF3637;
}

.HotVideoRankingOrange {
  background: #FF8800;
}

.HotVideoItem:first-child .HotVideoImg>a>img:first-child {
  width: 100%;
  aspect-ratio: 16/9;
  border-radius: 8px;
  object-fit: cover;
  display: block;
}

.HotVideoItem:first-child .HotVideoImg>a>img:nth-child(2) {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 60px;
  height: 60px;
}

.HotVideoItem:first-child .HotVideoImg>a>span {
  position: absolute;
  bottom: 24px;
  right: 6px;
  height: 16px;
  padding: 0 6px 0 14px;
  display: flex;
  align-items: center;
  border-radius: 8px;
  background: rgba(0, 0, 0, 0.45);
  font-size: 10px;
  color: #fff;
}

.HotVideoItem:first-child .HotVideoImg>a>span>img {
  position: absolute;
  left: 4px;
  top: 50%;
  transform: translateY(-50%);
  width: 10px;
  height: 10px;
}

.HotVideoItem:first-child .HotVideoTitle {
  position: absolute;
  bottom: 20px;
  left: 16px;
}

.HotVideoItem:first-child .HotVideoTitle h2 {
  font-size: 16px;
  max-width: 320px;
  color: #fff;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.HotVideoItem:not(:first-child) .HotVideoImg {
  margin-right: 15px;
}

.HotVideoItem:not(:first-child) .HotVideoImg>a {
  position: relative;
}

.HotVideoItem:not(:first-child) .HotVideoImg>a>img:first-child {
  width: 140px;
  height: 94px;
  border-radius: 5px;
  object-fit: cover;
  display: block;
}

.HotVideoItem:not(:first-child) .HotVideoImg>a>span {
  position: absolute;
  bottom: 6px;
  right: 6px;
  height: 16px;
  padding: 0 6px 0 14px;
  display: flex;
  align-items: center;
  border-radius: 8px;
  background: rgba(0, 0, 0, 0.45);
  font-size: 10px;
  color: #fff;
}

.HotVideoItem:not(:first-child) .HotVideoImg>a>span>img {
  position: absolute;
  left: 4px;
  top: 50%;
  transform: translateY(-50%);
  width: 10px;
  height: 10px;
}

.HotVideoItem:not(:first-child) .HotVideoTitle h2 {
  font-size: 16px;
  font-weight: normal;
  color: #000;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.HotVideoItem:not(:first-child) .HotVideoTitle a:hover h2 {
  color: #3848a0;
  font-weight: bold;
}

.HotVideoData {
  position: absolute;
  bottom: 0;
  left: 155px;
  right: 0;
  font-size: 12px;
  color: #86909C;
}

.HotVideoData span:first-child {
  margin-right: 10px;
}